import { HcApi } from '../../request/index'

export default {
    async getTypeMap(form) {
        return HcApi({
            url: '/api/blade-manager/fb/getTypeMap',
            method: 'get',
            params: form,
        })
    },
    async detail(form) {
        return HcApi({
            url: '/api/blade-manager/formula/detail',
            method: 'get',
            params: form,
        })
    },
    async save(form) {
        return HcApi({
            url: '/api/blade-manager/formula/save',
            method: 'post',
            data: form,
        })
    },
    async update(form) {
        return HcApi({
            url: '/api/blade-manager/formula/update',
            method: 'post',
            data: form,
        })
    },
}
